Bug 9642 - vfs_afsacl.c won't build
vfs_afsacl.c won't build
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: VFS Modules
4.0.3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-07 18:00 UTC by John Janosik
Modified: 2013-02-13 18:27 UTC (History)
0 users

See Also:


Attachments
git-am fix for master, 4.0.next. (862 bytes, patch)
2013-02-09 01:09 UTC, Jeremy Allison
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description John Janosik 2013-02-07 18:00:51 UTC
Build failed with:


Compiling modules/vfs_afsacl.c
"modules/vfs_afsacl.c", line 703.36: 1506-098 (E) Missing argument(s).
The following command failed:

make: The error code from the last command is 1.


Stop.

Reason:

The afs_to_nt_acl_common call in the return of afs_fto_nt_acl is missing the talloc context argument.
Comment 1 Jeremy Allison 2013-02-09 01:09:44 UTC
Created attachment 8538 [details]
git-am fix for master, 4.0.next.

John please confirm this fixes the problem for you and I'll get it upstream.

Thanks,

Jeremy.
Comment 2 John Janosik 2013-02-11 15:56:52 UTC
I used the attached patch and re-ran the build, this fixed the compiler error.
Comment 3 Jeremy Allison 2013-02-11 19:39:15 UTC
Went into master, re-assigning to Karolin to get into 4.0.next.
Jeremy.
Comment 4 Karolin Seeger 2013-02-12 20:13:17 UTC
Pushed to autobuild-v4-0-test.
Comment 5 Karolin Seeger 2013-02-13 18:27:44 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!